Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training
Class MultiThreadedTrainingParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.HMMTrainingParameterSet
              de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.MaxHMMTrainingParameterSet
                  de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.MultiThreadedTrainingParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

Direct Known Subclasses:
  BaumWelchParameterSet, NumericalHMMTrainingParameterSet, ViterbiParameterSet

    public abstract class MultiThreadedTrainingParameterSet

extends MaxHMMTrainingParameterSet

This class is the super class for any `MaxHMMTrainingParameterSet` that is used for a multi-threaded maximizing training algorithm of a hidden Markov model.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`protected` | `MultiThreadedTrainingParameterSet()` This is the empty constructor that can be used to fill the parameters after creation.
`protected` | `MultiThreadedTrainingParameterSet(int starts, AbstractTerminationCondition tc, int threads)` This constructor can be used to create an instance with specified parameters.
`protected` | `MultiThreadedTrainingParameterSet(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`int` | `getNumberOfThreads()` This method returns the number of threads that should be used during optimization.

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.MaxHMMTrainingParameterSet
`getTerminationCondition`

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.HMMTrainingParameterSet
`getNumberOfStarts`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromGalaxy, fromXML, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiThreadedTrainingParameterSet

    protected MultiThreadedTrainingParameterSet()

  This is the empty constructor that can be used to fill the parameters after creation.

### MultiThreadedTrainingParameterSet

    protected MultiThreadedTrainingParameterSet(int starts,
                                                AbstractTerminationCondition tc,
                                                int threads)
                                         throws Exception

  This constructor can be used to create an instance with specified parameters.

  Parameters:
    `starts` - the number of different starts
    `tc` - the termination condition for stopping the algorithm
    `threads` - the number of threads that should be used during optimization
  Throws:
    `Exception` - if this `MultiThreadedTrainingParameterSet` could not be created

### MultiThreadedTrainingParameterSet

    protected MultiThreadedTrainingParameterSet(StringBuffer xml)
                                         throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `MultiThreadedTrainingParameterSet` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `MultiThreadedTrainingParameterSet` could not be reconstructed out of the `StringBuffer` `xml`

Method Detail

### getNumberOfThreads

    public int getNumberOfThreads()

  This method returns the number of threads that should be used during optimization.

  Returns:
    the number of threads that should be used during optimization

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD